{% extends "base.njk" %}

{% block content %}
<div ng-controller="top_accounts">
    <script type="text/javascript" src="/js/jquery-3.3.1.min.js"></script>
    <h3 >{{i18n.TopAccounts}}</h3>
    <div class="filter">
        <a class="{% if order == 'rich' %}active{% endif %}" href="/top_accounts?order_by=rich" >{{i18n.RichList}}</a>
        <a class="{% if order == 'pos' %}active{% endif %}" href="/top_accounts?order_by=pos" >{{i18n.PosGenerated}}</a>
        <a class="{% if order == 'staking' %}active{% endif %}" href="/top_accounts?order_by=staking" >{{i18n.StakingBalance}}</a>
    </div>
    {% if order == 'rich' %}
        <table id="top_table">
            <thead>
                <tr>
                    <td >{{i18n.Rank}}</td>
                    <td>{{i18n.Account}}</td>
                    <td >{{i18n.Balance}}</td>
                    <td >{{i18n.Percent}}</td>
                </tr>
            </thead>
            <tbody id="block-list">
                <tr ng-if="top_accounts.length" ng-repeat="(index,account) in top_accounts">
                    <td>${index + 1}</a></td>
                    <td class="address "><a class="top_address" href="/${account.address}">${Users[account.address] || account.address}</a></td>
                    <td><span class="strong">${account.realBalance|currency|touch} BLN</span></td>
                    <td>${account.realBalance| percent}%</td>
                </tr>
                <tr ng-if="top_accounts.length == 0">
                    <td colspan="4">
                        {% include "spinner.njk" %}
                    </td>
                </tr>
            </tbody>
        </table>
    {% endif %}
    {% if order == 'pos' %}
        <table id="top_table">
            <thead>
                <tr>
                    <td >{{i18n.Rank}}</td>
                    <td >{{i18n.Account}}</td>
                    <td  class="right">{{i18n.Blocks}}</td>
                </tr>
            </thead>
            <tbody id="block-list">
                <tr ng-if="top_accounts.length" ng-repeat="(index,account) in top_accounts">
                    <td>${index+1}</a></td>
                    <td class="address"><a href="/${account.address}">${Users[account.address] || account.address}</a></td>
                    <td class="right"><span class="strong">${account.blocks} blocks</span></td>
                </tr>
                <tr ng-if="top_accounts.length == 0">
                    <td colspan="3">
                        {% include "spinner.njk" %}
                    </td>
                </tr>
            </tbody>
        </table>
    {% endif %}
    
    {% if order == 'staking' %}
        <table id="top_table">
            <thead>
                <tr>
                    <td >Rank</td>
                    <td >Account</td>
                    <td   class="right">Staking Balance</td>
                </tr>
            </thead>
            <tbody id="block-list">
                <tr ng-if="top_accounts.length" ng-repeat="(index,account) in top_accounts">
                    <td>${index+1}</a></td>
                    <td  class="address"><a href="/${account.address}">${Users[account.address] || account.address}</a></td>
                    <td class="right"><span class="strong">${account.stakingBalance | currency|touch} BLN</span></td>
                </tr>
                <tr ng-if="top_accounts.length == 0">
                    <td colspan="3">
                        {% include "spinner.njk" %}
                    </td>
                </tr>
            </tbody>
        </table>
    {% endif %}
    <script type="text/javascript" src="/js/highcharts.js"></script>
    <div load-Script ng-src="/js/highcharts.js" class="chart">
    </div>
</div>
{% endblock %}